import notice from '@/utils/notice/index';
export default {

    key:'id',

    install(){
        notice.on('entrust-address',(data)=>{

            console.log(data);
            if (data.delete) {
                return this.removeItem(data.id);
            }

            // 如果存在默认选择地址
            if (data.item.is_default) {
                this.map((item)=>{

                    if (item.is_default) {
                        item.is_default = 0;
                        return true;
                    }
                });
            }

            if (data.add) {
                // 增加一条数据
                this.addItem(data.item,'unshift');
            } else if (data.update) {
                // 更新一条数据
                this.updateItem(data.item);
            }

        },'address');
    }
}